## ros-rolling-gps-msgs 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(gps_msgs)

set(CMAKE_CXX_STANDARD 14)

set(MSG_DEPS std_msgs)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

set(MSG_FILES
  msg/GPSFix.msg
  msg/GPSStatus.msg
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${MSG_FILES}
  DEPENDENCIES ${MSG_DEPS}
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

install(
  FILES ros1_ros2_mapping.yaml
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-rolling-gps-msgs (1.0.4-4jammy) jammy; urgency=high

  * Add support for ros1 bridge (#32 <https://github.com/swri-robotics/gps_umd/issues/32>)
  * Contributors: Andrew Palmer

 -- P. J. Reed <preed@swri.org>  Fri, 14 Aug 2020 07:00:00 -0000

ros-rolling-gps-msgs (1.0.3-4jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 07:00:00 -0000

ros-rolling-gps-msgs (1.0.2-4jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 08:00:00 -0000

ros-rolling-gps-msgs (1.0.1-4jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 08:00:00 -0000

ros-rolling-gps-msgs (1.0.0-4jammy) jammy; urgency=high

  * Support ROS2 (#24 <https://github.com/pjreed/gps_umd/issues/24>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-rolling-gps-msgs (0.3.0-4jammy) jammy; urgency=high

  * Switching order of commands to make catkin happy
  * Initial attempt at creating an offline bag converter
  * Changing ROS_INFO to ROS_DEBUG_THROTTLE as per #15 <https://github.com/pjreed/gps_umd/issues/15>
  * Update node name; make appending zone optional; add param for adding zone when going back to navsatfix
  * Fix altitude, covariance
  * Add reverse_utm_odometry_node
  * Contributors: David Anthony, Dheera Venkatraman, P. J. Reed, Tim Clephas, Vikrant Shah, dheera

 -- P. J. Reed <preed@swri.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-rolling-gps-msgs (0.2.0-4jammy) jammy; urgency=high

  * fix xml comments
  * add install instructions and documentation
  * add node for translating between NavSatFix and GPSFix
  * Contributors: Andre Volk, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-rolling-gps-msgs (0.1.9-4jammy) jammy; urgency=high

  * removed unused variables
  * Contributors: Frank Hoeller

 -- P. J. Reed <preed@swri.org>  Mon, 08 May 2017 07:00:00 -0000

ros-rolling-gps-msgs (0.1.8-4jammy) jammy; urgency=high

  * Fixing orientation in UTM odometry message
    Before the fix, the orientation in the odometry message was set to x = 1, y = 0, z = 0, w = 0. This corresponds to Euler angles of roll = pi, pitch = 0, yaw = 0. I believe the intent was for the orientation to be the identity, which is x = 0, y = 0, z = 0, w = 1.
  * Contributors: Tom Moore

 -- P. J. Reed <preed@swri.org>  Mon, 31 Oct 2016 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-gps-msgs
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/gps_common
Standards-Version: 3.9.2

Package: ros-rolling-gps-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: GPS messages for use in GPS drivers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-gps-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
